Skip to main content
Astra Automation
本产品推出了新版本。
简体中文版经机器翻译而成,仅供参考。如与英语版出现任何冲突,应以英语版为准。

检索命名空间

GET /accounts/{account_id}/topology/v1/namespaces/{namespace_id}

返回 JSON 响应正文中存储的 Namespace API 资源。

参数

名称 Type Required Description

account_id

string

path

True

包含帐户资源的 ID

  • 示例:{{.Account}}

命名空间 ID

string

path

True

要列出的命名空间集合的 ID

响应

Status: 200, Returns the stored Namespace API resource in the JSON response body.
名称 Type Required Description

type

string

True

资源的媒体类型。定义的值为:

  • "application/astra-namespace"

version

string

True

资源的版本。定义的值为:

  • "1.0"

  • "1.1"

id

string

True

资源的全局唯一标识符。定义的值为:

  • 符合 UUIDv4 架构

链接

数组["type_astra_link"]

True

描述针对资源的支持操作的链接。

name

string

True

包含指示命名空间名称的值的 JSON 字符串。定义的值为:

  • 最小长度:1

  • 最大长度:255

namespaceState

string

True

包含指示命名空间状态的值的 JSON 字符串。定义的值为:

  • "discovered" - 已在集群中找到命名空间

  • "removed" - 命名空间已从集群中删除,或集群未被管理,但可能存在引用命名空间的资源

namespaceStateDetails

数组["type_astra_stateDetail"]

True

JSON 对象的 JSON 数组,列出有关"state"转换为"state a"、"state b"或"state c"的其他详细信息。如果没有可用的详细信息,此数组将为空。定义的值为:

  • 最小项目数:0

kubernetesLabels

数组["类型 Astra 标签"]

False

JSON 对象的 JSON 数组,每个都包含与命名空间关联的 Kubernetes 标签。定义的值为:

  • 符合 Kubernetes 标签数组架构

clusterID

string

True

包含命名空间所在的群集的全局唯一标识符的 JSON 字符串。定义的值为:

  • 符合 Astra 标识符架构

systemType

string

False

表示命名空间是系统命名空间类型的 JSON 字符串。此字段标识命名空间是什么类型的系统命名空间(如果有的话)(仅版本 1.1)。定义的值为:

  • "kubernetes" - 一个通用的 Kubernetes (K8s) 系统命名空间,例如 "kube-system"

  • "netapp" - NetApp 系统命名空间,例如 "trident" 或 "netapp-monitoring"

  • "openshift" - 一个 OpenShift 系统命名空间,例如 "openshift-monitoring"

  • "rke" - Rancher 命名空间,例如 "cattle-logging"

  • "other" - 不一定适合其他地方的通用系统命名空间,例如 "ingress-nginx"、"tekton-system"

元数据

"type_astra_metadata"

True

与资源关联的客户端和服务指定的元数据。定义的值为:

  • 符合 Astra 元数据架构

响应示例
{
  "type": "application/astra-namespace",
  "version": "1.1",
  "id": "2de811a6-ce8f-512c-9c3a-9585ca66de22",
  "links": [
    {
      "rel": "canonical",
      "href": "/accounts/0b311ae7-d89a-4a11-a52c-1349ca090415/topology/v1/namespaces/7d451d2f-196e-4234-aee9-7e2376047e63",
      "type": "application/vnd.netapp.astra.namespace"
    },
    {
      "rel": "collection",
      "href": "/accounts/0b311ae7-d89a-4a11-a52c-1349ca090415/topology/v1/clouds/e0490197-872e-4de8-9287-b04a938e801f/clusters/0f284377-e5dc-4dcd-bacd-3197f2b8a347/namespaces",
      "type": "application/vnd.netapp.astra.namespaces"
    }
  ],
  "name": "kube-system",
  "namespaceState": "discovered",
  "namespaceStateDetails": [
    {
      "type": "https://astra.netapp.io/stateDetails/9",
      "title": "Namespace Discovered",
      "detail": "The namespace was discovered in the indicated managed cluster"
    }
  ],
  "kubernetesLabels": [
    {
      "name": "app.kubernetes.io/environment",
      "value": "dev"
    }
  ],
  "clusterID": "0f284377-e5dc-4dcd-bacd-3197f2b8a347",
  "systemType": "kubernetes",
  "metadata": {
    "labels": [],
    "creationTimestamp": "2022-10-06T20:58:16.305662Z",
    "modificationTimestamp": "2022-10-06T20:58:16.305662Z",
    "createdBy": "8f84cf09-8036-51e4-b579-bd30cb07b269"
  }
}

响应

Status: 401, Unauthorized
名称 Type Required Description

type

string

True

标题

string

True

详细信息

string

True

状态

string

True

correlationID

string

False

响应示例
{
  "type": "https://astra.netapp.io/problems/3",
  "title": "Missing bearer token",
  "detail": "The request is missing the required bearer token.",
  "status": "401"
}

响应

Status: 400, Bad request
名称 Type Required Description

type

string

True

标题

string

True

详细信息

string

True

状态

string

True

correlationID

string

False

invalidParams

数组["invalidParams"]

False

无效查询参数列表

响应示例
{
  "type": "https://astra.netapp.io/problems/5",
  "title": "Invalid query parameters",
  "detail": "The supplied query parameters are invalid.",
  "status": "400"
}

响应

Status: 403, Forbidden
名称 Type Required Description

type

string

True

标题

string

True

详细信息

string

True

状态

string

True

correlationID

string

False

响应示例
{
  "type": "https://astra.netapp.io/problems/11",
  "title": "Operation not permitted",
  "detail": "The requested operation isn't permitted.",
  "status": "403"
}

错误

Status: 404, Not found
名称 Type Required Description

type

string

True

标题

string

True

详细信息

string

True

状态

string

True

correlationID

string

False

错误响应示例
{
  "type": "https://astra.netapp.io/problems/2",
  "title": "Collection not found",
  "detail": "The collection specified in the request URI wasn't found.",
  "status": "404"
}

定义

查看定义

targetSchema

接受发布

接受-put

提示

名称 Type Required Description

状态

string

False

允许

数组[string]

False

接受发布

"接受发布"

False

权限

数组[string]

False

接受-put

"接受-put"

False

type_astra_link

名称 Type Required Description

rel

string

True

href

string

True

type

string

False

targetSchema

"targetSchema"

False

标题

string

False

提示

"提示"

False

additionalDetails

type_astra_stateDetail

名称 Type Required Description

type

string

True

标题

string

True

详细信息

string

True

additionalDetails

"additionalDetails"

False

类型 Astra 标签

名称 Type Required Description

name

string

True

value

string

True

type_astra_metadata

与资源关联的客户端和服务指定的元数据。定义的值为:

  • 符合 Astra 元数据架构

名称 Type Required Description

labels

数组["类型 Astra 标签"]

True

creationTimestamp

string

True

modificationTimestamp

string

True

已创建

string

True

modifiedBy

string

False

invalidParams

名称 Type Required Description

name

string

True

无效查询参数的名称

原因

string

True

查询参数无效的原因